#include "Button.h"
#include <Arduino.h>

//#include <Keyboard.h>
#include <Keyboard.h>


Button::Button(int button, int light, char key) {
  buttonPin_ = button;
  lightPin_ = light;
  keypress_ = key;

  pinMode(button, INPUT_PULLUP);
  pinMode(light, OUTPUT);
}


void Button::sendKeypress() {
  Keyboard.press(keypress_);
}

void Button::sendKeyRelease() {
  Keyboard.release(keypress_);
}


void Button::update() {

  int value = digitalRead(buttonPin_);

  if (value == LOW && isDown_ == false) {
    isDown_ = true;
    sendKeypress();
  } else if (value == HIGH) {
    isDown_ = false;
    sendKeyRelease();
  }
  
}


void Button::setLight(bool on) {
  digitalWrite(lightPin_, on ? HIGH : LOW);
}

bool Button::isDown() {
  return isDown_;
}
