#include "ButtonGroup.h"

#include <Arduino.h>
#include "Button.h"



ButtonGroup::ButtonGroup() {
  
}


int ButtonGroup::count() {
  return buttonCount_;
}


Button* ButtonGroup::button(int index) {
  if (index < buttonCount_) {
    return buttons_[index];
  } else {
    return NULL;
  }
}

void ButtonGroup::update() {
  for (int i=0; i<count(); ++i) {
    Button* b = button(i);
    if (b != NULL) {
      b->update();
    }
  }
}


bool ButtonGroup::addButton(Button* button) {
  if (buttonCount_ < buttonCapacity_) {
    buttons_[buttonCount_] = button;
    buttonCount_ += 1;
    return true;
  } else {
    return false;
  }
}
