#include "LightController.h"

#include <Arduino.h>

#include "ButtonGroup.h"
#include "Button.h"

LightController::LightController(ButtonGroup* buttons) {
  this->buttons_ = buttons; 
}



void LightController::update() {

  if (activeButton_ != NULL) {

    if (millis() > activationTime_ + LIGHT_ACTIVATION_DURATION) {
      activeButton_->setLight(false);
      activeButton_ = NULL;
    }
    
  } else {
    for (int i=0; i<buttons_->count(); ++i) {
      Button* b = buttons_->button(i);
      if (b != NULL) {
        if (b->isDown()) {
          activeButton_ = b;
          b->setLight(true);
          activationTime_ = millis();
        }
      }
    } 
  }
}
